Bug 540117 - no libdwarf-static in fedora 12
Summary: no libdwarf-static in fedora 12
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libdwarf   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 586807 613956
TreeView+ depends on / blocked
 
Reported: 2009-11-22 13:23 UTC by Michael S. Tsirkin
Modified: 2010-08-09 04:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586807 613956 (view as bug list)
Environment:
Last Closed: 2010-08-09 04:27:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael S. Tsirkin 2009-11-22 13:23:39 UTC
Description of problem:
no static version of libdwarf is provided in fedora 11 or up.
libdwarf is used by perf tool kernel performance
analysis utility.

Ability to build a static version of this binary
is important because developer would often
use it to analyse performance for non-fedora
or embedded systems, which might not have
necessary libraries.


Additional info:
Fedora guidelines say:
       In general, packagers are strongly encouraged not to ship static libs
       unless a compelling reason exists.
For me, the ability to create a portable perf binary that
I can copy around linux systems qualifies as a compelling reason.

Comment 1 Bug Zapper 2010-04-28 11:25:08 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Michael S. Tsirkin 2010-04-28 12:08:08 UTC
Fedora 12 has the same issue

Comment 3 Fedora Update System 2010-07-06 11:33:30 UTC
libdwarf-0.20100629-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libdwarf-0.20100629-1.fc12

Comment 4 Fedora Update System 2010-07-07 17:40:55 UTC
libdwarf-0.20100629-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libdwarf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libdwarf-0.20100629-1.fc12

Comment 5 Fedora Update System 2010-07-13 07:41:11 UTC
CodeAnalyst-gui-2.8.54-23.fc12, libdwarf-0.20100629-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update CodeAnalyst-gui libdwarf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/CodeAnalyst-gui-2.8.54-23.fc12,libdwarf-0.20100629-1.fc12

Comment 6 Parag AN(पराग) 2010-08-09 04:27:09 UTC
This is already in stable.


Note You need to log in before you can comment on or make changes to this bug.